#ifndef ISPINDELDATALOGGER_H
#define ISPINDELDATALOGGER_H

#include <QObject>
#include <QList>
#include "IspindelData.h"

#define ISPINDEL_LOG_FILE_VERSION 1
#define ISPINDEL_LOG_DIR "D:/Main/Brew/Ispindel Logs/"

class CIspindelDataLogger : public QObject
{
    Q_OBJECT
public:
    explicit CIspindelDataLogger(QObject *parent = 0);

    int WriteLogToFile(QList<CIspindelData *> *Data, bool OnlyLastItem = true);
    int LoadLogData(QList<CIspindelData *> *DataList);

signals:

public slots:
};

#endif // ISPINDELDATALOGGER_H
